void printi(int val);

static int i;
static int *p = &i;

int main()
{
  i = 10;
  printi(i);
  printi(*p);

  *p = 20;
  printi(i);
  printi(*p);

  *p = 30;
  printi(i);
  printi(*p);

  return 0;
}
